/// @addtogroup cymealg
/// @{

/////////////////////////////////////////////////////////////////////////////
///
/// @file
///
/// This header file includes all the header files necessary to use
/// the CyMeAlg implementation of the minimum cycle mean algorithms
/// for directed graphs.
///
/// @author Pawel Pilarczyk
///
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 1997-2020 by Pawel Pilarczyk.
//
// This file is part of my research software. This is free software:
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation,
// either version 3 of the License, or (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this software; see the file "license.txt". If not,
// please, see <http://www.gnu.org/licenses/>.

// Started in January 2006. Last revision: August 23, 2019.


#ifndef _CYMEALG_H_
#define _CYMEALG_H_


// include all the CyMeAlg header files
#include "cymealg/digraph.h"
#include "cymealg/dummyrnd.h"
#include "cymealg/boostrnd.h"
#include "cymealg/dummyarr.h"
#include "cymealg/transpose.h"
#include "cymealg/subgraph.h"

#include "cymealg/dfs.h"
#include "cymealg/scc.h"
#include "cymealg/cyclemean.h"
#include "cymealg/pathmean.h"

#include "cymealg/digraphtab.h"
#include "cymealg/various.h"

#include "cymealg/readwrite.h"


#endif // _CYMEALG_H_

/// @}

