/// @addtogroup cymealg
/// @{

/////////////////////////////////////////////////////////////////////////////
///
/// @file
///
/// This header file contains the definition of a dummy array.
///
/// @author Pawel Pilarczyk
///
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 1997-2020 by Pawel Pilarczyk.
//
// This file is part of my research software. This is free software:
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation,
// either version 3 of the License, or (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this software; see the file "license.txt". If not,
// please, see <http://www.gnu.org/licenses/>.

// Started in January 2006. Last revision: August 23, 2019.


#ifndef _CYMEALG_DUMMYARR_H_
#define _CYMEALG_DUMMYARR_H_

// include selected CHomP header files
#include "chomp/system/config.h"

namespace cymealg {

// --------------------------------------------------
// ------------------ DUMMY ARRAY -------------------
// --------------------------------------------------

/// A dummy array of integers that ignores all the assigned values.
class dummyArray
{
public:
	/// The constructor of a dummy array.
	dummyArray () {n = 0;}

	/// Operator [] which returns a reference to a dummy value.
	int_t &operator [] (int_t) {return n;}

private:
	/// A dummy number used as a dump box for assigning values.
	int_t n;

}; /* class dummyArray */


} // namespace cymealg

#endif // _CYMEALG_DUMMYARR_H_

/// @}

