/// @addtogroup cymealg
/// @{

/////////////////////////////////////////////////////////////////////////////
///
/// @file
///
/// This header file contains a procedure for computing the transpose graph.
///
/// @author Pawel Pilarczyk
///
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 1997-2020 by Pawel Pilarczyk.
//
// This file is part of my research software. This is free software:
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation,
// either version 3 of the License, or (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this software; see the file "license.txt". If not,
// please, see <http://www.gnu.org/licenses/>.

// Started in January 2006. Last revision: August 23, 2019.


#ifndef _CYMEALG_TRANSPOSE_H_
#define _CYMEALG_TRANSPOSE_H_

// include selected header files from the CHomP library
#include "chomp/system/config.h"

namespace cymealg {

/// Creates a transposed graph.
template <class Graph1, class Graph2>
inline void transpose (const Graph1 &g, Graph2 &result,
	bool copyweights = false)
{
	g. transpose (result, copyweights);
	return;
} /* transpose */


} // namespace cymealg

#endif // _CYMEALG_TRANSPOSE_H_

/// @}

